<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <title th:text="#{loginTitle}"></title>
	<script type="text/javascript">
		var startTime = new Date().getTime();
		window.dataLayer = window.dataLayer || [];
		window.dataLayer.push({
		'pageCategory': 'Login Page',
		'loginStartTime': startTime
	});
	</script>
    <object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>

<body class="nhs-bsa-pensions nhs-bsa">
	<div th:replace="fragments/header :: header">...</div>
	<main id="content" role="main" tabindex="-1">
	    <div th:replace="fragments/phase_banner :: phase_banner">...</div>

	    <div class="grid-row">
	        <div class="column-two-thirds">
	            <div class="error-summary" id="financeLoginErrorMessage" th:if="${param.error != null || param.locked != null}" aria-labelledby="finance-login-message-heading" tabindex="-1">
	                <h1 id="finance-login-message-heading" class="heading-medium error-summary-heading">Some questions have not been answered correctly:</h1>
	                <p th:text="#{errorSummary2}" id="finance-login-message-text">Please see the errors below.</p>
	                <ul class="error-summary-list">
	                    <li><a th:href="@{#username}" th:text="#{loginErrorMessage}" id="login-error-list1" th:if="${param.error}">Descriptive link to the question with an error</a></li>
										<li><a th:href="@{#forgotten-password-link}" th:text="#{accountLockedMessage}" id="login-error-list2" th:if="${param.locked}">Descriptive link to the question with an error</a></li>
	                </ul>
	            </div>
	            <div class="error-summary" id="financeLogoutMessage" th:if="${param.logout}" aria-labelledby="finance-logout-message-heading" tabindex="-1">
	                <p th:text="#{logoutMessage}" id="finance-logout-message-heading">You have been logged out.</p>
	            </div>

						<h1 id="main-heading" class="heading-large">
							<span class="heading-secondary" th:text="#{serviceHeader}" id="service-name-text">Make payments to the NHS Pension Scheme</span>
							<span class="heading-large" th:text="#{headingLogin}" id="login-heading">Finance login</span>
						</h1>

	            <form th:action="@{/login}" method="post" class="form" novalidate="novalidate" id="login-form" autocomplete="off">
	                <fieldset>
	                    <legend class="visually-hidden" id="login-details-label">Login details</legend>
	                    <div class="form-group" th:classappend="${param.error} ? error : no-error" id="login-username-group">
	                    	<label for="username" id="login-username-label">
	                    		<span class="form-label-bold" th:text="#{username}">Username</span>
	                    		<span class="error-message" id="error-message-username" th:if="${param.error}" th:text="#{placeholderUsernameError}">Enter your username</span>
	                    	</label>
	                        <input type="text" id="username" name="username" value="" class="form-control"/>
	                    </div>
	                    <div class="form-group" th:classappend="${param.error} ? error : no-error" id="login-password-group">
	                    	<label for="password" id="login-password-label">
	                    		<span class="form-label-bold" th:text="#{password}">Password</span>
	                    		<span class="error-message" id="error-message-password" th:if="${param.error}" th:text="#{placeholderPasswordError}">Enter your password</span>
	                    	</label>
	                        <input type="password" id="password" name="password" value="" class="form-control" autocomplete="off"/>
	                    </div>
	                </fieldset>
	                <div class="form-group" id="login-submit-button">
	                    <button type="submit" class="button" th:text="#{loginButton}" id="login-button" onclick="dataLayer.push({'loggedInStartTime': startTime,'event': 'login-submit'});">Login</button>
	                </div>
	                <p class="navigation">
	                    <a th:href="@{/forgotten-password}" th:text="#{forgottenPasswordLink}" id="forgotten-password-link">Forgotten your password?</a>
	                </p>
	            </form>
	        </div>
	    </div>
	</main>

	<div th:replace="fragments/footer :: footer">...</div>
	<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>

</body>
</html>